SDL_SetJoystickEventsEnabled(3)

NAME
SDL_SetJoystickEventsEnabled - Set the state of joystick event processing.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

void SDL_SetJoystickEventsEnabled(bool enabled);

DESCRIPTION
If joystick events are disabled, you must call SDL_UpdateJoysticks() yourself and check the state of the joystick when you want joystick information.

FUNCTION PARAMETERS

enabled
    whether to process joystick events or not.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_JoystickEventsEnabled(3), SDL_UpdateJoysticks(3)